Name:           kardsgt
Version:        0.6.5
%define subrel 1
Release:        %mkrel 1
Epoch:          0
Summary:        Card game suite
License:        GPLv2+
Group:          Games/Cards
URL:            http://kardsgt.nongnu.org/
Source0:        http://download.savannah.gnu.org/releases/kardsgt/kardsgt-%{version}.tar.gz
Source1:        http://download.savannah.gnu.org/releases/kardsgt/kardsgt-%{version}.tar.gz.sig
Source2:        kardsgt.desktop
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  qt3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
KardsGT is a card game program that has many of your favorite card 
games. Each game comes with an exhaustive manual on how to play. In 
addition to the many wonderful games, we also have amazing characters 
to play against. Each character has their own history and sense of 
play, giving you a fun challenge as you spend your time.

The specific games are:
  - cribbage
  - euchre
  - hearts
  - spades
  - war

%prep
%setup -q

%build
export QTDIR=%{qt3dir}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -r %{buildroot}%{_iconsdir}

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{_bindir}/desktop-file-install --vendor ""                         \
        --dir %{buildroot}%{_datadir}/applications                  \
        %{SOURCE2}

%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps
%{_bindir}/convert -resize 32x32 src-%{version}/src/images/kardsgt.png %{buildroot}%{_datadir}/pixmaps/kardsgt.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
%{_bindir}/convert -resize 16x16 src-%{version}/src/images/kardsgt.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/kardsgt.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps
%{_bindir}/convert -resize 24x24 src-%{version}/src/images/kardsgt.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/kardsgt.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{_bindir}/convert -resize 32x32 src-%{version}/src/images/kardsgt.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/kardsgt.png

%clean
%{__rm} -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%files
%defattr(0644,root,root,0755)
%doc ChangeLog INSTALL src-%{version}/{COPYING,INSTALL.CVS,README,CREDITS,src/NOTICE}
%attr(0755,root,root) %{_bindir}/kardsgt
%{_datadir}/applications/kardsgt.desktop
%{_datadir}/icons/hicolor/16x16/apps/kardsgt.png
%{_datadir}/icons/hicolor/24x24/apps/kardsgt.png
%{_datadir}/icons/hicolor/32x32/apps/kardsgt.png
%{_datadir}/kardsgt
%{_datadir}/pixmaps/kardsgt.png
%{_mandir}/man6/kardsgt.6*


%changelog
* Tue Nov 11 2008 Funda Wang <fundawang@mandriva.org> 0:0.6.5-1.1mdv2008.1
+ Revision: 302041
- fix desktop file (bug#45702)

* Sun Feb 03 2008 David Walluck <walluck@mandriva.org> 0:0.6.5-1mdv2008.1
+ Revision: 161631
- fix kardsgt.desktop syntax
- 0.6.5
- fix BuildRoot
- use qt3dir macro
- clean up %%install

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - drop unused condition
    - validate desktop file

* Tue Dec 25 2007 Funda Wang <fundawang@mandriva.org> 0:0.6.4-1mdv2008.1
+ Revision: 137726
- clearify LICENSE
- New version 0.6.4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 05 2007 David Walluck <walluck@mandriva.org> 0:0.6.3-1mdv2008.0
+ Revision: 59025
- 0.6.3
- use %%{makeinstall_std}
- document new game
- don't ship Debian menu (rely on FDO menu)

* Fri Jun 08 2007 David Walluck <walluck@mandriva.org> 0:0.6.2-1mdv2008.0
+ Revision: 37020
- 0.6.2
- 0.6.0


* Sat Mar 17 2007 David Walluck <walluck@mandriva.org> 0.5.1-1mdv2007.1
+ Revision: 145326
- 0.5.1

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:0.4.0-2mdv2007.1
+ Revision: 102761
- fix menu location

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:0.4.0-1mdv2007.1
+ Revision: 102748
- fix typo
- set QTDIR
- Import kardsgt

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:0.4.0-1mdv2007.1
- release

* Thu Dec 21 2006 John Schneiderman <JohnMS@member.fsf.org> 0.4.0-1jms
- SAVED GAME FILES PRIOR TO THIS RELEASE WILL NO LONGER WORK!
- New logo and player images, a default male and female image.
- Added the game of spades.
- Every player now has AI for every game.
- You can now customise the card images, and the player image.
- The screen size is now larger.
- Changed how the play sequence is shown to the player.
- You can sort the cards in your hand.
- Imrpoved the captioning system.
- Bug fix: Cribbage board no longer fails to update correctly.
- Bug fix: The default ordering in the players hand in hearts.
- Bug fix: The dialogues no longer are larger than our game screen.

* Sun Oct 15 2006 John Schneiderman <JohnMS@member.fsf.org> 0.3.0-3jms
- Added the game of hearts
- Added four new players.
- Added the ability to select the player(s) to play against.
- Now you can load game files directly from the command line with no futher intervention.
- Added turn signal indications.
- Improved the user profile database.
- Bug fix: Graphics no longer blur.
- Bug fix: Added delay so you can see the last card played.
- Bug fix: All errors are properly handled now.
- Bug fix: Card dialogues all now fit within their windows.
- Bug fix: All card message dialogues fit within their windows.
- Restructured the libraries to reduce compiling time.
- Restructured the handbook for better navigation.

* Mon Aug 07 2006 John Schneiderman <JohnMS@member.fsf.org> 0.2.0-1jms
- Cribbage game improvements and bug fixes.
- War introduced.
- Added a better looking card back image.
- Changed the game file structure, not compatible with previous versions.
- Fixed graphical bugs with KardPile and KardSequence.

* Thu Jun 08 2006 John Schneiderman <JohnMS@member.fsf.org> 0.1.0-1jms
- First Release

